import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * Application Autoscaling Scheduled Action.
 *
 * @schema CfnScheduledActionProps
 */
export interface CfnScheduledActionProps {
    /**
     * @schema CfnScheduledActionProps#EndTime
     */
    readonly endTime?: string;
    /**
     * @schema CfnScheduledActionProps#ResourceId
     */
    readonly resourceId: string;
    /**
     * @schema CfnScheduledActionProps#ScalableDimension
     */
    readonly scalableDimension: string;
    /**
     * @schema CfnScheduledActionProps#ScalableTargetAction
     */
    readonly scalableTargetAction: CfnScheduledActionPropsScalableTargetAction;
    /**
     * @schema CfnScheduledActionProps#Schedule
     */
    readonly schedule: string;
    /**
     * @schema CfnScheduledActionProps#ScheduledActionName
     */
    readonly scheduledActionName: string;
    /**
     * @schema CfnScheduledActionProps#ServiceNamespace
     */
    readonly serviceNamespace: string;
    /**
     * @schema CfnScheduledActionProps#StartTime
     */
    readonly startTime?: string;
    /**
     * @schema CfnScheduledActionProps#Timezone
     */
    readonly timezone?: string;
}
/**
 * Converts an object of type 'CfnScheduledActionProps' to JSON representation.
 */
export declare function toJson_CfnScheduledActionProps(obj: CfnScheduledActionProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnScheduledActionPropsScalableTargetAction
 */
export interface CfnScheduledActionPropsScalableTargetAction {
    /**
     * @schema CfnScheduledActionPropsScalableTargetAction#MaxCapacity
     */
    readonly maxCapacity?: number;
    /**
     * @schema CfnScheduledActionPropsScalableTargetAction#MinCapacity
     */
    readonly minCapacity?: number;
}
/**
 * Converts an object of type 'CfnScheduledActionPropsScalableTargetAction' to JSON representation.
 */
export declare function toJson_CfnScheduledActionPropsScalableTargetAction(obj: CfnScheduledActionPropsScalableTargetAction | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `AwsCommunity::ApplicationAutoscaling::ScheduledAction`
 *
 * @cloudformationResource AwsCommunity::ApplicationAutoscaling::ScheduledAction
 * @stability external
 * @link https://github.com/aws-cloudformation/community-registry-extensions
 */
export declare class CfnScheduledAction extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "AwsCommunity::ApplicationAutoscaling::ScheduledAction";
    /**
     * Resource props.
     */
    readonly props: CfnScheduledActionProps;
    /**
     * Attribute `AwsCommunity::ApplicationAutoscaling::ScheduledAction.ScheduledActionARN`
     * @link https://github.com/aws-cloudformation/community-registry-extensions
     */
    readonly attrScheduledActionARN: string;
    /**
     * Create a new `AwsCommunity::ApplicationAutoscaling::ScheduledAction`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnScheduledActionProps);
}
